Bug 1346464 - Tuned in RHEL-7.3 should use polkit
Summary: Tuned in RHEL-7.3 should use polkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 1289048
TreeView+ depends on / blocked
 
Reported: 2016-06-14 21:44 UTC by Jaroslav Škarvada
Modified: 2016-11-04 02:32 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-81.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 02:32:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2283 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2016-11-03 13:36:25 UTC

Description Jaroslav Škarvada 2016-06-14 21:44:43 UTC
Description of problem:
Tuned is moving to use polkit, which is required by e.g. Cockpit. Tuned queries org.freedesktop.PolicyKit1.Authority, it uses python-dbus which introspects the interface at first. Unfortunately this results in DBus timeouts:

ERROR:dbus.proxies:Introspect error on org.freedesktop.PolicyKit1:/o 
g/freedesktop/PolicyKit1/Authority: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possib 
e causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout exp
ired, or the network connection was broken.

It seems there is the following AVC:
type=USER_AVC msg=audit(1465939447.235:314): pid=727 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:
c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_return dest=:1.148 spid=770 tpid=8396 scontext=system_u:system_r:policykit_
t:s0 tcontext=system_u:system_r:tuned_t:s0 tclass=dbus  exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'              

It seems to work OK with 'setenforce 0'.

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-60.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run Tuned from upstream GIT head
2. tuned-adm active

Actual results:
DBus timeout when introspecting polkit

Expected results:
No DBus timeout

Additional info:
The same Tuned functionality will be introduced in Fedora

Comment 2 Jaroslav Škarvada 2016-06-15 08:37:47 UTC
I could hardcode the CheckAuthorization method signature into Tuned, so theoretically it could work without introspecting polkit, but using the dbus-python defaults (i.e without the hardcoded signature) is preferred. Also maybe that the non-working introspection is not the main problem, maybe that that the policy doesn't allow Tuned to query polkit via DBus (but I didn't check it).

Comment 8 errata-xmlrpc 2016-11-04 02:32:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2283.html


Note You need to log in before you can comment on or make changes to this bug.